{% macro header(data, dafault_class) -%}
                                            {% from dafault_class + "/hawat.j2" import header_start -%}
                                            {{ header_start() }}
{% endmacro %}

{% macro row(key, data, is_authenticated, dafault_class) -%}
                                                {% from dafault_class + "/hawat.j2" import row_start, protocols, format_number with context -%}
                                                {{ row_start(key, data, is_authenticated) }}
{% endmacro %}
